Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.core
Class QLocale.NumberOption

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.core.QLocale.NumberOption

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QLocale

    public static final class QLocale.NumberOption

extends java.lang.Enum
implements QtEnumerator

This enum defines a set of options for number-to-string and string-to-number conversions. They can be retrieved with `numberOptions()` and set with `setNumberOptions()`.

See also:
  `setNumberOptions()`, and `numberOptions()`.

See Also:
  Serialized Form

Field Summary
`static QLocale.NumberOption` | `OmitGroupSeparator` If this option is set, the number-to-string functions will not insert group separators in their return values.
`static QLocale.NumberOption` | `RejectGroupSeparator` If this option is set, the string-to-number functions will fail if they encounter group separators in their input.

Method Summary
`static QLocale.NumberOptions` | `createQFlags(QLocale.NumberOption[] values)` This function creates a com.trolltech.qt.core.QLocale$NumberOptions with the specified `com.trolltech.qt.core.QLocale$NumberOption[]` QLocale$NumberOption values set.
`static QLocale.NumberOption` | `resolve(int value)` Returns the QLocale$NumberOption constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QLocale.NumberOption` | `valueOf(java.lang.String name)`
`static QLocale.NumberOption[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### OmitGroupSeparator

    public static final QLocale.NumberOption OmitGroupSeparator

  If this option is set, the number-to-string functions will not insert group separators in their return values. The default is to insert group seperators.

### RejectGroupSeparator

    public static final QLocale.NumberOption RejectGroupSeparator

  If this option is set, the string-to-number functions will fail if they encounter group separators in their input. The default is to accept numbers containing correctly placed group separators.

Method Detail

### values

    public static QLocale.NumberOption[] values()

### valueOf

    public static QLocale.NumberOption valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### createQFlags

    public static QLocale.NumberOptions createQFlags(QLocale.NumberOption[] values)

  This function creates a com.trolltech.qt.core.QLocale$NumberOptions with the specified `com.trolltech.qt.core.QLocale$NumberOption[]` QLocale$NumberOption values set.

### resolve

    public static QLocale.NumberOption resolve(int value)

  Returns the QLocale$NumberOption constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD